SDL_IOprintf(3)

NAME
SDL_IOprintf - Print to an SDL_IOStream
 data stream.

HEADER FILE
Defined in SDL3/SDL_iostream.h

SYNOPSIS
#include "SDL3/SDL.h"

size_t SDL_IOprintf(SDL_IOStream *context, SDL_PRINTF_FORMAT_STRING const char *fmt, ...)  SDL_PRINTF_VARARG_FUNC(2);

DESCRIPTION
This function does formatted printing to the stream.

FUNCTION PARAMETERS

context
    a pointer to an SDL_IOStream
     structure

fmt a printf() style format string

... additional parameters matching % tokens in the fmt string, if any

RETURN VALUE
Returns the number of bytes written, or 0 on error; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_IOvprintf(3), SDL_WriteIO(3)